Bug 41061 - New port: archivers/gzip (1.3.3)
Summary: New port: archivers/gzip (1.3.3)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-07-27 23:40 UTC by Cyrille Lefevre
Modified: 2002-09-11 15:28 UTC (History)
0 users

See Also:


Attachments
file.shar (2.54 KB, text/plain)
2002-07-27 23:40 UTC, Cyrille Lefevre
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cyrille Lefevre 2002-07-27 23:40:01 UTC
	this is gzip 1.3.3, a compression utility designed to be a
	replacement for compress.

How-To-Repeat: 	n/a
Comment 1 Dirk Meyer freebsd_committer 2002-09-09 21:56:47 UTC
State Changed
From-To: open->feedback

Any reason why the buildin command does not work? 

$ gzip --version  
gzip 1.2.4 (18 Aug 93) 
Compilation options: 
DIRENT UTIME STDC_HEADERS HAVE_UNISTD_H ASMV
Comment 2 Trevor Johnson 2002-09-10 00:40:56 UTC
I noticed a couple of problems with this port:

- portlint -acnt found some whitespace to change
- none of the sites listed (including the commented-out alpha.gnu.org) had
  the distfile

The appended Makefile corrects those.

Dirk Meyer wrote:

> Synopsis: New port: archivers/gzip (1.3.3)
>
> State-Changed-From-To: open->feedback
> State-Changed-By: dinoex
> State-Changed-When: Mon Sep 9 13:56:47 PDT 2002
> State-Changed-Why:
> Any reason why the buildin command does not work?
>
> $ gzip --version
> gzip 1.2.4 (18 Aug 93)
> Compilation options:
> DIRENT UTIME STDC_HEADERS HAVE_UNISTD_H ASMV

Feed it this:
http://people.freebsd.org/trevor/test-data/FreeReign-0.1.0.tar.gz-crashes-gzip

GNU gdb 4.18 (FreeBSD)
Copyright 1998 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-unknown-freebsd"...
(no debugging symbols found)...
Core was generated by `gzip'.
Program terminated with signal 11, Segmentation fault.
#0  0x804ecb7 in huft_build ()
(gdb) bt
#0  0x804ecb7 in huft_build ()
#1  0x804f99a in inflate_dynamic ()
#2  0x804ff79 in inflate_block ()
#3  0x804fffa in inflate ()
#4  0x804e1ba in unzip ()
#5  0x8049113 in treat_file ()
#6  0x8048984 in main ()
#7  0x8048180 in _start ()
(gdb)

With gzip 1.3.3, an error message is printed instead:

gzip: /home/trevor/test-data/FreeReign-0.1.0.tar.gz-crashes-gzip: invalid
compressed data--format violated
-- 
Trevor Johnson

# New ports collection makefile for:	gzip
# Date created:				27 July 2002
# Whom:					cyrille.lefevre@laposte.net
#
# $FreeBSD$
#

PORTNAME=	gzip
PORTVERSION=	1.3.3
CATEGORIES=	archivers
MASTER_SITES=	${MASTER_SITE_GNU_ALPHA}
MASTER_SITE_SUBDIR=	${PORTNAME}
# EXTRACT_SUFX=	.tar

MAINTAINER=	cyrille.lefevre@laposte.net

MASTER_SITES=	ftp://ftp.digex.net/pub/linux/slackware/slackware-8.1/source/a/gzip/ \
		ftp://sunfreeware.risq.qc.ca/SOURCES/ \
		ftp://ftp.muug.mb.ca/mirror/slackware/slackware/slackware-8.1/source/a/gzip/ \
		ftp://ftp.xemacs.org/distributions/slackware/slackware-8.1/source/a/gzip/ \
		ftp://sunsite.cnlab-switch.ch/mirror/slackware/slackware-8.1/source/a/gzip/ \
		ftp://sunsite.cnlab-switch.ch/mirror/solaris-freeware/SOURCES/ \
		ftp://ftp.informatik.rwth-aachen.de/pub/comp/Linux/slackware/slackware-current/source/a/gzip/ \
		ftp://ftp.sunsite.auc.dk/disk2/slackware/slackware-8.1/source/a/gzip/ \
		ftp://ftp.ist.utl.pt/1/slackware/slackware-8.1/source/a/gzip/ \
		ftp://ftp.carrier.kiev.ua/.4/Linux/slackware/source/a/gzip/ \
		ftp://ftp.is.co.za/linux/distributions/slackware/slackware-8.1/source/a/gzip/ \
		ftp://ftp.monash.edu.au/pub/disk10/slackware/slackware-8.1/source/a/gzip/

USE_REINPLACE=	yes
GNU_CONFIGURE=	yes

MAN1=	gunzip.1 gzexe.1 gzip.1 zcat.1 zcmp.1 zdiff.1 zforce.1 \
	zgrep.1 zless.1 zmore.1 znew.1

post-configure:
	@${REINPLACE_CMD} -e 's|^SHELL =.*|SHELL=/bin/sh|' ${WRKSRC}/Makefile

.include <bsd.port.mk>
Comment 3 Dirk Meyer freebsd_committer 2002-09-11 15:28:04 UTC
State Changed
From-To: feedback->closed

committed, thanks.